THUMBOR-URL(1)

NAME
thumbor-url - Signed URL generator for Thumbor

SYNOPSIS
thumbor-url [options] imageurl or type thumbor-url -h (--help) for help

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-l KEY_FILE, --key_file=KEY_FILE
    The file to read the security key from [default: none].

-k KEY, --key=KEY
    The security key to encrypt the url with [default: none].

-w WIDTH, --width=WIDTH
    The target width for the image [default: 0].

-e HEIGHT, --height=HEIGHT
    The target height for the image [default: 0].

-n, --fitin
    Indicates that fit-in resizing should be performed.

-m, --meta
    Indicates that meta information should be retrieved.

--adaptive
    Indicates that adaptive fit-in cropping should be used.

--full
    Indicates that fit-full cropping should be used.

-s, --smart
    Indicates that smart cropping should be used.

-t, --trim
    Indicate that surrounding whitespace should be trimmed.

-f, --horizontal-flip
    Indicates that the image should be horizontally flipped.

-v, --vertical-flip
    Indicates that the image should be vertically flipped.

-a HALIGN, --halign=HALIGN
    The horizontal alignment to use for cropping [default: center].

-i VALIGN, --valign=VALIGN
    The vertical alignment to use for cropping [default: middle].

--filters=FILTERS
    Filters to be applied to the image, e.g. brightness(10).

-c CROP, --crop=CROP
    The coordinates of the points to manual cropping in the format leftxtop:rightxbottom (100x200:400x500) [default: none].

SEE ALSO
The full documentation for thumbor-url is maintained as a Texinfo manual. If the info and thumbor-url programs are properly installed at your site, the command

    info thumbor-url

should give you access to the complete manual.